unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, QuickRpt, ExtCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    SimpleList: TRadioButton;
    GroupedList: TRadioButton;
    MasterDetail: TRadioButton;
    Preview: TButton;
    Print: TButton;
    Exit: TButton;
    GroupBox2: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    procedure PreviewClick(Sender: TObject);
    procedure PrintClick(Sender: TObject);
    procedure ExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses templates, UPTDBNavigator;

{$R *.DFM}

procedure TForm1.PreviewClick(Sender: TObject);
var z: TAutoReportStyle;
begin
      if RadioButton1.Checked then z:=tarNone;
      if RadioButton2.Checked then z:=tarColumns;
      if RadioButton3.Checked then z:=tarForms;

      Form2.PTAutomatedReport1.ReportStyle:=z;
      Form2.PTAutomatedReport2.ReportStyle:=z;

      if SimpleList.Checked then begin
         Form2.PTAutomatedReport1.AttachedReport:=Form2.SimpleListTemplate;
         Form2.PTAutomatedReport1.Preview;
         end;
      if GroupedList.Checked then begin
         Form2.PTAutomatedReport1.AttachedReport:=Form2.GropuedTemplate;
         Form2.PTAutomatedReport1.Preview;
         end;
      if MasterDetail.Checked then Form2.PTAutomatedReport2.Preview;
end;

procedure TForm1.PrintClick(Sender: TObject);
var z: TAutoReportStyle;
begin
      if RadioButton1.Checked then z:=tarNone;
      if RadioButton2.Checked then z:=tarColumns;
      if RadioButton3.Checked then z:=tarForms;

      Form2.PTAutomatedReport1.ReportStyle:=z;
      Form2.PTAutomatedReport2.ReportStyle:=z;

      if SimpleList.Checked then begin
         Form2.PTAutomatedReport1.AttachedReport:=Form2.SimpleListTemplate;
         Form2.SimpleListTemplate.Print;
         end;
      if GroupedList.Checked then begin
         Form2.PTAutomatedReport1.AttachedReport:=Form2.GropuedTemplate;
         Form2.SimpleListTemplate.Print;
         end;
      if MasterDetail.Checked then Form2.PTAutomatedReport2.Print;
end;

procedure TForm1.ExitClick(Sender: TObject);
begin
      Close;
end;

end.
